




@each $name, $color in $theme-text-colors {
  
  .text-#{$name} {
    color: $color !important;
  }

  
  .text-inverse-#{$name} {
    color: theme-inverse-color($name) !important;
  }

  @if (theme-light-color($name)) {
    
    .text-light-#{$name} {
      color: theme-light-color($name) !important;
    }
  }

  
  .text-hover-#{$name} {
    transition: $transition-link;

    i {
      transition: $transition-link;
    }

    &:hover {
      transition: $transition-link;
      color: $color !important;

      i {
        transition: $transition-link;
        color: $color !important;
      }

      .svg-icon {
        @include svg-icon-color($color);
      }
    }
  }

  
  .text-hover-inverse-#{$name} {
    transition: $transition-link;

    i {
      transition: $transition-link;
    }

    &:hover {
      transition: $transition-link;
      color: theme-inverse-color($name) !important;

      i {
        transition: $transition-link;
        color: theme-inverse-color($name) !important;
      }

      .svg-icon {
        @include svg-icon-color(theme-inverse-color($name));
      }
    }
  }

  
  .text-active-#{$name} {
    transition: $transition-link;

    i {
      transition: $transition-link;
    }

    &.active {
      transition: $transition-link;
      color: $color !important;

      i {
        transition: $transition-link;
        color: $color !important;
      }

      .svg-icon {
        @include svg-icon-color($color);
      }
    }
  }

  
  .text-active-inverse-#{$name} {
    transition: $transition-link;

    i {
      transition: $transition-link;
    }

    &.active {
      transition: $transition-link;
      color: theme-inverse-color($name) !important;

      i {
        transition: $transition-link;
        color: theme-inverse-color($name) !important;
      }

      .svg-icon {
        @include svg-icon-color(theme-inverse-color($name));
      }
    }
  }
}


.fw-boldest {
  font-weight: $font-weight-boldest !important;
}


.text-transparent {
  color: transparent;
}


.cursor-pointer {
  cursor: pointer;
}


.cursor-default {
  cursor: default;
}

.cursor-move {
  cursor: move;
}


i {
  line-height: 1;
  font-size: 1rem;
  color: $text-muted;
}


a {
  transition: $transition-link;

  &:hover {
    transition: $transition-link;
  }
}
